com.ihr.xbrl.om.formula

## Class MultiFormulaParameterResolverFactory

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<HasCreateFormulaParameterResolver>
      - - com.ihr.xbrl.om.formula.MultiFormulaParameterResolverFactory

- All Implemented Interfaces:
    HasCreateFormulaParameterResolver, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<HasCreateFormulaParameterResolver>, java.util.Collection<HasCreateFormulaParameterResolver>, java.util.List<HasCreateFormulaParameterResolver>, java.util.RandomAccess

      public class MultiFormulaParameterResolverFactory
      extends java.util.Vector<HasCreateFormulaParameterResolver>
      implements HasCreateFormulaParameterResolver

  This class can be used then multiple Formula Parameter Resolvers shall be created and registered one after another. The class extends a Vector of HasCreateDTSUriResolver instances and implements the HasCreateDTSUriResolver interface.

  The createAndRegisterDTSUriResolver call will call the same method on all instances in the vector in the order they are stored in the vector.

  Since:
    2.6.12
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiFormulaParameterResolverFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createAndRegisterFormulaParameterResolver(DTSContainer dts)` Implementors of this class should create the XBRLFormulaParametersResolver instance and call the method installFormulaParameterResolver(XBRLFormulaParametersResolver ) on the DTSContainer passed in as a parameter.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiFormulaParameterResolverFactory

          public MultiFormulaParameterResolverFactory()

  - ### Method Detail

    - #### createAndRegisterFormulaParameterResolver

          public void createAndRegisterFormulaParameterResolver(DTSContainer dts)

      Description copied from interface: `HasCreateFormulaParameterResolver`
      Implementors of this class should create the XBRLFormulaParametersResolver instance and call the method installFormulaParameterResolver(XBRLFormulaParametersResolver ) on the DTSContainer passed in as a parameter.
      Specified by:
        `createAndRegisterFormulaParameterResolver` in interface `HasCreateFormulaParameterResolver`
      Parameters:
        `dts` - the dts